.TH EPISODER 1
.SH NAME
episoder \- TV show episode reminder.
.SH SYNOPSIS
.B episoder
[global options] [command] [command-specific options]
.SH COPYRIGHT
episoder is Copyright (C) 2004-2014 by Stefan Ott
.SH DESCRIPTION
episoder is a tool to tell you about new episodes of your favourite TV shows
.SH GLOBAL OPTIONS
.TP
.B \-h
Show help and quit.
.TP
.B \-c \fIFILE\fR
Use \fIFILE\fR for configuration values. By default ~/.episoder is used.
.TP
.B \-v, \-\-verbose
Enable verbose operation.
.TP
.B \-d, \-\-debug
Enable debug (very verbose) operation.
.TP
.B \-l \fIFILE\fR
Log to \fIFILE\fR instead of stdout.
.TP
.B \-V, \-\-version
Show program version and quit.

.SH COMMANDS
.SS Add Shows
.B episoder
[options]
.B add
\fISHOW\fR
.PP
This adds a \fISHOW\fR to episoder's database. You can either specify a URL from epguides.com or a show ID from TheTVDB.com. Note that this won't fetch any episodes or meta data about the show, to do this you will need to
.B update
your database.
.SS Find Shows on TheTVDB.com
.B episoder
[options]
.B search
\fI"search terms"\fR
.PP
Rather than visiting their web site you can use episoder to search TheTVDB.com. This command will show you a list of all shows that match your \fIsearch terms\fR along with their IDs -- you will need to know these to
.B add
shows to the database.
.SS List Shows
.B episoder
[options]
.B shows
.PP
List all shows in episoder's database. The output contains information on the show's URL or TVDB ID, name, current state and the time of the last update.
.SS Remove Shows
.B episoder
[options]
.B remove
\fISHOW\fR
.PP
This removes a \fISHOW\fR from episoder's database. Please specify the \fIshow id\fR as shown by the
.B shows
command.
.SS Disable Updates
.B episoder
[options]
.B disable
\fISHOW\fR
.PP
By default, any show that is added to episoder's database is included when the database is updated. If however you would like to disable updates for a certain show, this is how you do it.
.PP
Please specify the \fIshow id\fR as shown by the
.B shows
command.
.SS Enable Updates
.B episoder
[options]
.B enable
\fISHOW\fR
.PP
Use this to re-enable updates for a show that has previously been \fIdisabled\fR. Please specify the \fIshow id\fR as shown by the
.B shows
command.
.SS Update the Database
.B episoder
[options]
.B update
[update-options]
.PP
Update the episoder database. This will fetch the list of known episodes for all shows that are currently in the database (unless they have been disabled).
.PP
The update command knows the following extra options:
.TP
.B \-d \fIDATE\fR
All episodes that are older than \fIDATE\fR will be removed from the database after the update. You can either specify an absolute date as \fIYYYY-MM-DD\fR or a relative date by passing the number of days back. The default value is 2, i.e. all episodes more than two days old will be removed.
.TP
.B \-f, \-\-force
Update the database regardless of the time of the last update. By default episoder uses these update intervals:
.RS
.PP
* 2 days for shows that are currently running.
.PP
* 1 week for shows that are currently paused.
.PP
* 2 weeks for shows that have ended.
.RE
.TP
.B \-i, \-\-nodate
Don't remove any old episodes, regardless of their date.
.TP
.B \-s, \-\-show \fIID\fR
Only update the show with this \fIID\fR (as shown by the
.B shows
command), regardless of the last update time and whether or not updates are currently enabled for this show.
.TP
Note that the \fB-d\fP and \fB-i\fP options cannot be combined and that \fB-f\fP has no effect when using \fB-s\fP.
.SS List Episodes in the Database
.B episoder
[options]
.B list
[list-options]
.PP
Show upcoming episodes. Before running this you should update the database to make sure that your list of episodes is up-to-date.
.PP
The list command knows the following extra options:
.TP
.B \-C, \-\-nocolor
Don't use colors in the list of episodes. By default, episodes will be colored to indicate the air date relative to the current date:
.RS
.PP
* Episodes from the distant past are colored gray
.PP
* Yesterday's episodes are colored red
.PP
* Today's episodes are colored yellow
.PP
* Tomorrow's episodes are colored green
.PP
* Future episodes are colored cyan
.RE
.TP
.B \-d \fIDATE\fR
Only show episodes that air prior to \fIDATE\fR. You can either specify an absolute date as \fIYYYY-MM-DD\fR or a relative date by passing the number of days back. The default is to hide all episodes that aired before yesterday.
.TP
.B \-n \fIDAYS\fB, \-\-days \fIDAYS\fR
The number of days to show. Any episodes that are more than \fIDAYS\fR days in the future will be hidden. The default value is 2.

Note that this value is relative to the \fIDATE\fR specified with the
.B \-d
option.
.TP
.B \-i, \-\-nodate
Show all episodes regardless of their date.
.TP
.B \-s \fISEARCH\fR
Search for \fISEARCH\fR in show and episode names.

.SH EXAMPLES
Find a show on TheTVDB.com:
.IP
.B episoder search dexter
.IP
The output will look like this:
.IP
.nf
ID      Name
------- --------------------
79349   Dexter
.fi

.TP
Add a show:
.IP
.B episoder add 79349

.TP
List all currently added shows:
.IP
.B
episoder shows
.IP
The output will look like this:
.IP
[   1] 79349
       Dexter, Running, Enabled
       Last update: 1970-01-01 00:00:00

.TP
Fetch all episodes for Dexter regardless of the air date and enable debugging output:
.IP
.B episoder -d update -s 1 -i

.TP
List all episodes from October 2012:
.IP
.B episoder list -d 2012-10-01 -n 31


.SH CONFIG FILE
.LP
The configuration file contains default settings for episoder.
.TP
.B agent=foo
Set the user-agent string to be used when fetching data. This is only used for shows on epguides.com.
.TP
.B data=/path/to/file
Path to episoder's data file. If, instead of a file, you supply a database url (as expected by sqlalchemy, eg. 'mysql://localhost/episoder'), episoder is going to use that database for storage instead.
.TP
.B format=unquoted format string
This allows you to customize episoder's output. Available fields are:
.PP
        %airdate     The episode's airdate as YYYY-MM-DD
        %show        Name of the show
        %season      Current season
        %epnum       Episode's number in season
        %eptitle     Title of the episode
        %totalep     Episode's total number
        %prodnum     Production number
.br

If undefined, the default value of
.B %airdate %show %seasonx%epnum
(eg. "2005-07-29 Monk 4x04") is used.
.TP
.B dateformat=unquoted string describing the format
Here you can define the date format you'd like to be used for the output. To get a list of all possible fields, see
.BR date(1).

The default is %a, %b %d, %Y
.TP
.B tvdb_key=KEY
Use your own TVDB API \fIKEY\fR instead of episoder's built-in default key. This is recommended if you use episoder on a larger scale.

See http://thetvdb.com/?tab=apiregister for more details.
.SH CRON
.LP
You might want to have your episode database rebuilt on a regular basis (i.e. daily). The easiest way to achieve this is with a simple cron job:
.PP
    crontab \-l > crontab
    echo "40 5 * * * episoder update" >> crontab
    crontab crontab

.SH FILES
.B ~/.episoder
- default configuration file
.br
.B ~/.episodes
- default data file

.SH AUTHOR
This manual page was written by Stefan Ott
